<?
require('startinclude.php');


function jelemento($ventana,$elemento,$htm) {
	$tmp = "if (document.getElementById('$elemento')) { \n";
	$tmp.= "document.getElementById('$elemento').innerHTML='$htm';\n";
	$tmp.= " }\n";
	return $tmp;
}
function jclase($ventana,$elemento,$clase) {
	$tmp = "if (document.getElementById('$elemento')) { \n";
	$tmp .= "document.getElementById('$elemento').className='$clase';\n";
	$tmp.=" } \n";
	return $tmp;
}


$camara=parametro('camara',0);



$id=parametro('id',0);
	$camaras=apc_fetch('camaras_actual');
	
	$sensores=apc_fetch('celsius'.$camara);
	$sql="select * ";
	$sql.="from pf_sensorxcamara  ";
	$sql.="where id_camara=".$camaras[$camara]["id_camara"]." and lecturadirmodulo=".$sensores[$id]["id"];
	$filas=0;
	$resultado="";
	ejecutarsql($sql,&$filas,&$resultado);	
	$valor_viejo=mssql_result($resultado,0, "id_status");
	$proceso_actual=$camaras[$camara]["proceso_actual"];
	$estado_actual=$camaras[$camara]["estado_actual"];
	$valor_nuevo='V';
	
	switch ($valor_viejo) {
		case 'V':
			$valor_nuevo='N';
			break;
		case 'N':
			$valor_nuevo='V';
			break;				
	}

	
		$sql="UPDATE pf_sensorxcamara ";
		$sql.=" SET id_status='$valor_nuevo'  ";
		$sql.="where id_camara=".$camaras[$camara]["id_camara"]." and lecturadirmodulo=".$sensores[$id]["id"];
	
	$filas=0;
	$resultado="";
	ejecutarsql($sql,&$filas,&$resultado);			
	
	$sql="insert into debug(texto) values('$proceso_actual $valor_nuevo ".$sensores[$id]["id"]."')";
	
		$filas=0;
		$resultado="";
		ejecutarsql($sql,&$filas,&$resultado);		
	
	if ($estado_actual!="X") {
		$sql="UPDATE pf_sensorxproceso ";
		$sql.=" SET id_status='$valor_nuevo'  ";
		$sql.="where id_proceso=$proceso_actual and lecturadirmodulo=".$sensores[$id]["id"];	
		
		$filas=0;
		$resultado="";
		ejecutarsql($sql,&$filas,&$resultado);				
		
	}
	


	
	jsinicio();
			if ($valor_nuevo=='N') {				
				echo jclase(0,'valor'.$id,"offline");
				echo jclase(0,'celnombre'.$id,"offline");
				echo jelemento(0,'valor'.$id,"--");
				
	} else {
				echo jclase(0,'celnombre'.$id,"ok");
				echo jclase(0,'valor'.$id,"ok");				
	}		
	echo "loader.stop();";
	echo "window.location.reload();";


	
	
	jsfin();
?>